Canada Credit Bureau (FINTRAC)
4 min
Verifies input data against Credit Header data obtained from the partnered sources from Canada.
Must have approved access with Customer number and Security code to use this Credit Bureau service
For more information about this service with Single and Dual Source identification methods, refer to this page.
For Authorization Get Session Token from Authentication page.
Canada Credit Bureau
* Verification Outcome – Returns KYC verification
* Consumer Consent – Yes
* Mandatory Input – Name, DOB and Address
* Verifies – Name, DOB and Address
* Returned Data - Credit related returned data. The returned data differs between a Single Source Decision and a Dual Source Decision. Refer to the Curl examples for each decision type.
POST
https://idu-test.datazoo.com/api/v2/verify
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--data '{
"countryCode": "CA",
"service": [
"Canada Credit Bureau"
],
"clientReference": "666",
"firstName": "JOSEPH",
"middleName": "",
"lastName": "ZHANG",
"dateOfBirth": "1981-11-30",
"addressElement1": "10642 97 STREET NW",
"addressElement3": "EDMONTON",
"addressElement4": "AB",
"addressElement5": "T5H2L6",
"consentObtained": {
"Canada Credit Bureau": true
}
}'
Links
Single Source Decision - Example of Curl Request and Response
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--data '{
"countryCode": "CA",
"service": [
"Canada Credit Bureau"
],
"clientReference": "C0000031",
"firstName": "JOSEPH",
"middleName": "",
"lastName": "ZHANG",
"dateOfBirth": "1981-11-30",
"addressElement1": "10642 97 STREET NW",
"addressElement3": "EDMONTON",
"addressElement4": "AB",
"addressElement5": "T5H2L6",
"consentObtained": {
"Canada Credit Bureau": true
}
}'Dual Source Decision - Example of Curl Request and Response
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--data '{
"countryCode": "CA",
"service": [
"Canada Credit Bureau"
],
"clientReference": "CACreditTest_001",
"firstname": "JENNY",
"middlename": "",
"lastname": "SEAL",
"dateofbirth": "1985-03-02",
"addresselement1": "11132 Park View Dr",
"addresselement3": "Dawson Creek",
"addresselement4": "BC",
"addresselement5": "V1G4A3",
"consentObtained": {
"Canada Credit Bureau": true
}
}'
Change History
Added
Last updated - 1 May, 2025